Bug 145651 - KDE crash when adding new files from remote host if there is symbolic link
Summary: KDE crash when adding new files from remote host if there is symbolic link
Status: RESOLVED FIXED
Alias: None
Product: quanta
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: András Manţia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-18 21:22 UTC by Nahum Mizrahi
Modified: 2007-10-03 14:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nahum Mizrahi 2007-05-18 21:22:15 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    Fedora RPMs
OS:                Linux

When trying to add files from a remote project (via SSH or FTP) and there is a symbolic link that lead to the same directory, quanta open tens of windows and then crashes, usually taking KDE with it.

Here is how to reproduce:
On the server:
# cd /home/user1
# ln -s symlink ./

Now add a project on the client using SSH as protocol in the server settings and try to rescan the project folder.

This causes quanta to recursively scan the same folder until it crashes.
Comment 1 Philip Rodrigues 2007-05-19 23:11:05 UTC
Can you provide a backtrace?
Comment 2 Nahum Mizrahi 2007-05-19 23:46:25 UTC
Hi Philip,

It never get to create the backtrace. Just tens of windows open and then the system hangs. The maximum i could do is CTRL-ALT-BACKSPACE right when it start.

reproducing this bug is very easy - just scan a directory that contain symlink to itself.

Comment 3 Bram Schoenmakers 2007-05-20 00:46:31 UTC
Instead of hitting Ctrl-Alt-Backspace you could send the Quanta process a signal instead:

kill -SEGV `pidof quanta`

So make sure that line is at hand as soon as you reproduce.
Comment 4 Bram Schoenmakers 2007-07-24 20:42:27 UTC
It does not crash, but I can see increased memory and network usage. It repeatedly asks for my credentials and doesn't seem to stop with asking.

(protocol: SFTP)
Comment 5 András Manţia 2007-10-03 14:06:57 UTC
Fixed for 3.5.8.